> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Contacts

> Here it is possible to list all contacts or just one,using the 'where' option.



## OpenAPI

````yaml openapi-v2 POST /chat/findContacts/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /chat/findContacts/{instance}:
    post:
      tags:
        - Chat Controller
      summary: Find Contacts
      description: >-
        Here it is possible to list all contacts or just one,using the 'where'
        option.
      operationId: findContacts
      parameters:
        - name: instance
          in: path
          required: true
          description: Name instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - where
              properties:
                where:
                  type: object
                  properties:
                    id:
                      type: string
                      description: 'Contact number: optional'
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````